﻿using System.Windows;
using DL.PhotoCollage.Core;
using DL.PhotoCollage.Wpf.Presentation;

namespace DL.PhotoCollage.UI.StandAlone.Presentation
{
    public class StandAloneController : ControllerBase
    {
        public StandAloneController(Application currentApplication, string applicationLocalDataDirectory)
            : base(applicationLocalDataDirectory)
        {
            this.Application = currentApplication;
            this.ConfigurationRepository = new FileSystemConfigurationRepository(this.LocalDataDirectory);
            this.LoadConfigurationSettings();
        }

        public override void StartApplication()
        {
            new SetupPresenter(this);
        }

        public void StartCollage()
        {
            new CollagePresenter(this);
        }
    }
}
