﻿using System;
using System.IO;
using Microsoft.Win32;

namespace DL.PhotoCollage.Wpf.Presentation
{
    public abstract class SetupPresenterBase
    {
        protected SetupPresenterBase(ControllerBase controller)
        {
            this.Controller = controller;
        }

        public ControllerBase Controller { get; private set; }

        public void RequestDirectoryFromUser()
        {
            var dialog = new OpenFileDialog
            {
                InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.MyPictures),
                Title = "Please choose a folder.",
                CheckFileExists = false,
                FileName = "[Get Folder]",
                Filter = "Folders|no.files"
            };

            if (!(bool)dialog.ShowDialog())
            {
                this.Controller.Configuration.Directory = string.Empty;
            }
            else
            {
                string path = Path.GetDirectoryName(dialog.FileName);
                if (!string.IsNullOrEmpty(path))
                {
                    this.Controller.Configuration.Directory = path;
                }
            }
        }
    }
}
